DavenDaven Documentation
APIAPI ReferenceATSApplication Steps

Get application steps

GET
/ats/application-steps

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

min_date?|

Minimum date for filtering application steps

max_date?|

Maximum date for filtering application steps

step?string

Step of the application

application_ats_id?string

Application's internal ID in the ATS

job_offer_reference?|array<string>

One or many job offer references

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ats/application-steps"
{
  "message": "string",
  "data": [
    {
      "id": 0,
      "recorded_at": "string",
      "job_offer_reference": "string",
      "job_offer_reference_2": "string",
      "job_offer_reference_3": "string",
      "job_offer_title": "string",
      "candidate_creation_date": "string",
      "candidate_mail": "string",
      "candidate_phone": "string",
      "candidate_ats_id": "string",
      "source": "string",
      "step": "string",
      "step_ats_id": "string",
      "application_ats_id": "string",
      "subsidiary": "string",
      "subsidiary_ats_id": "string"
    }
  ],
  "meta": {
    "next_link": "string"
  }
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}